broadway = require 'broadway'
app = new broadway.App()

jade = require '../src'

app.use jade, path: __dirname

describe 'jade plugin', ->
  it 'should render html', (done) ->
    app.render 'index', hello: 'world', (err, html) ->
      "<h1>world</h1>".should.eql html
      done()
  it 'should render error', (done) ->
    app.render 'foobar', {}, (err, html) ->
      err.should.be.ok
      done()
